---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab release delete`

Delete a GitLab release.

## Synopsis

Delete release assets to GitLab release. Requires the Maintainer role or higher.

Deleting a release does not delete the associated tag, unless you specify `--with-tag`.

```plaintext
glab release delete <tag> [flags]
```

## Examples

```plaintext
# Delete a release (with a confirmation prompt)
$ glab release delete v1.1.0'

# Skip the confirmation prompt and force delete
$ glab release delete v1.0.1 -y

# Delete release and associated tag
$ glab release delete v1.0.1 --with-tag

```

## Options

```plaintext
  -t, --with-tag   Delete the associated tag.
  -y, --yes        Skip the confirmation prompt.
```

## Options inherited from parent commands

```plaintext
      --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
