---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab release download`

Download asset files from a GitLab release.

## Synopsis

Download asset files from a GitLab release.

If no tag is specified, downloads assets from the latest release.
To specify a file name to download from the release assets, use `--asset-name`.
`--asset-name` flag accepts glob patterns.

```plaintext
glab release download <tag> [flags]
```

## Examples

```plaintext
# Download all assets from the latest release
$ glab release download

# Download all assets from the specified release tag
$ glab release download v1.1.0

# Download assets with names matching the glob pattern
$ glab release download v1.10.1 --asset-name="*.tar.gz"

```

## Options

```plaintext
  -n, --asset-name stringArray   Download only assets that match the name or a glob pattern.
  -D, --dir string               Directory to download the release assets to. (default ".")
```

## Options inherited from parent commands

```plaintext
      --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
