---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab stack`

Create, manage, and work with stacked diffs. (EXPERIMENTAL.)

## Synopsis

Stacked diffs are a way of creating small changes that build upon each other to ultimately deliver a feature. This kind of workflow can be used to accelerate development time by continuing to build upon your changes, while earlier changes in the stack are reviewed and updated based on feedback.

This feature is experimental. It might be broken or removed without any prior notice.
Read more about what experimental features mean at
<https://docs.gitlab.com/ee/policy/experiment-beta-support.html>

Use experimental features at your own risk.

## Aliases

```plaintext
stacks
```

## Examples

```plaintext
glab stack create cool-new-feature
glab stack sync

```

## Options

```plaintext
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```

## Options inherited from parent commands

```plaintext
      --help   Show help for this command.
```

## Subcommands

- [`amend`](amend.md)
- [`create`](create.md)
- [`first`](first.md)
- [`last`](last.md)
- [`list`](list.md)
- [`move`](move.md)
- [`next`](next.md)
- [`prev`](prev.md)
- [`save`](save.md)
- [`switch`](switch.md)
- [`sync`](sync.md)
